searchNodes=[{"doc":"A local, decentralized and scalable weighted round-robin generator. It allows developers to generate a sequence, evenly distributed, attending a predefined set of weights attributed to elements of any type. The take function is guaranteed to be atomic and isolated. Generators can have any number of pools, each under a different pool_name . The precision indicates how many precision digits you want at the generator output (so 100 indicates you want a two digits precision). The application can have multiple instances of the generator, but in this case every function needs to be prefixed with the generator name, indicated as wrr .","ref":"WeightedRoundRobin.html","title":"WeightedRoundRobin","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"WeightedRoundRobin.html#child_spec/1","title":"WeightedRoundRobin.child_spec/1","type":"function"},{"doc":"Delete a new pool from the generator. It is not safe to call this function while serving other processes using take/2 .","ref":"WeightedRoundRobin.html#delete_pool/2","title":"WeightedRoundRobin.delete_pool/2","type":"function"},{"doc":"Create a new pool under the generator. It is safe to reconfigure pools by calling new_pool/4 with different parameters, while take/2 is being served at other processes.","ref":"WeightedRoundRobin.html#new_pool/4","title":"WeightedRoundRobin.new_pool/4","type":"function"},{"doc":"Starts the weighted round-robin generator. You typically don't need to start the weighted round-robin generator, one is started automatically at application start, except if you explicitly say to not start one at your config: config :wrr , start : false So, manually it can be started as: WeightedRoundRobin . start_link ( name : MyApp.WeightedRoundRobin ) In your supervisor tree, you would write: Supervisor . start_link ( [ { WeightedRoundRobin , name : MyApp.WeightedRoundRobin } ] , strategy : :one_for_one ) Options The weighted round-robin generator requires the following key: :name - the name of the generator and its tables","ref":"WeightedRoundRobin.html#start_link/1","title":"WeightedRoundRobin.start_link/1","type":"function"},{"doc":"Take elements from the pool in a round-robin fashion. Examples iex&gt; :ok = WeightedRoundRobin . new_pool ( :pool , [ a : 0.1 , b : 0.2 , c : 1.0 ] ) iex&gt; dist = Enum . map ( 1 .. 10_000 , fn _ -&gt; WeightedRoundRobin . take ( :pool ) end ) iex&gt; %{ a : 768 , b : 1543 , c : 7689 } = Enum . frequencies ( dist )","ref":"WeightedRoundRobin.html#take/2","title":"WeightedRoundRobin.take/2","type":"function"},{"doc":"","ref":"WeightedRoundRobin.html#t:key/0","title":"WeightedRoundRobin.key/0","type":"type"},{"doc":"","ref":"WeightedRoundRobin.html#t:key_weights/0","title":"WeightedRoundRobin.key_weights/0","type":"type"},{"doc":"","ref":"WeightedRoundRobin.html#t:pool_name/0","title":"WeightedRoundRobin.pool_name/0","type":"type"},{"doc":"","ref":"WeightedRoundRobin.html#t:precision/0","title":"WeightedRoundRobin.precision/0","type":"type"},{"doc":"","ref":"WeightedRoundRobin.html#t:start_option/0","title":"WeightedRoundRobin.start_option/0","type":"type"},{"doc":"","ref":"WeightedRoundRobin.html#t:weight/0","title":"WeightedRoundRobin.weight/0","type":"type"},{"doc":"","ref":"WeightedRoundRobin.html#t:wrr/0","title":"WeightedRoundRobin.wrr/0","type":"type"}]